phpbb Sitemaker

Hulp bij het installeren van of op zoek naar een extensie?
Plaats reactie
deninho32
Berichten: 44
Lid geworden op: 01 aug 2019, 11:16

phpbb Sitemaker

Bericht door deninho32 » 04 jan 2021, 11:38

Ik heb deze extensie geïnstalleerd en ik kan allerlei blokken netjes toevoegen. Als ik het opsla en de editor sluit zijn zo'n 9 van de 10 keer alle blokken weer verdwenen. Is dit een bekend probleem of doe ik iets fout?

deninho32
Berichten: 44
Lid geworden op: 01 aug 2019, 11:16

Re: phpbb Sitemaker

Bericht door deninho32 » 16 jan 2021, 13:50

Hmm nu heb ik alles netjes werkend gekregen, maar als deze extensie actief is werkt de ectensie Recent Topics niet meer. Sitemaker heeft een eigen Recent Topics blok, maar dat is heel anders en veel minder functioneel. Is er een mogelijkheid om beide extensies naast elkaar te laten werken?

Zo ziet het er nu uit:
https://forum.negentiendertien.nl/forum

Zo zou het eruit moeten zien:

https://testforum.negentiendertien.nl/

Edit: Het werkt alleen niet als ik een andere pagina via sitemaker als instel als start page.

Ik heb dit toegevoegd aan mijn .htaccess file

Code: Selecteer alles

 DirectoryIndex app.php/blog index.php index.html index.htm
Maar nu staat er pagina niet gevonden.

Gebruikersavatar
El torro
Berichten: 3562
Lid geworden op: 02 sep 2014, 21:28
Locatie: In het zonnige zuiden
Contacteer:

Re: phpbb Sitemaker

Bericht door El torro » 12 feb 2021, 16:02

Is er een mogelijkheid om beide extensies naast elkaar te laten werken?
Dat kan heel goed het geval zijn.

deninho32
Berichten: 44
Lid geworden op: 01 aug 2019, 11:16

Re: phpbb Sitemaker

Bericht door deninho32 » 13 feb 2021, 12:47

Ik heb het als volgt op kunnen lossen:

Ik heb dit aan de .htaccess toegevoegd..

Code: Selecteer alles

 
 IfModule mod_rewrite.c>
RewriteEngine On
RewriteRule ^$ /blog [R=301,L]

#
# Uncomment the statement below if URL rewriting doesn't
# work properly. If you installed phpBB in a subdirectory
# of your site, properly set the argument for the statement.
# e.g.: if your domain is test.com and you installed phpBB
# in http://www.test.com/phpBB/index.php you have to set
# the statement RewriteBase /phpBB/
#
RewriteBase / 

#
# Uncomment the statement below if you want to make use of
# HTTP authentication and it does not already work.
# This could be required if you are for example using PHP via Apache CGI.
#
#RewriteRule .* - [E=HTTP_AUTHORIZATION:%{HTTP:Authorization},L]

#
# The following 3 lines will rewrite URLs passed through the front controller
# to not require app.php in the actual URL. In other words, a controller is
# by default accessed at /app.php/my/controller, but can also be accessed at
# /my/controller
#
RewriteCond %{REQUEST_FILENAME} !-f
RewriteCond %{REQUEST_FILENAME} !-d
RewriteRule ^(.*)$ app.php [QSA,L]

#
# If symbolic links are not already being followed,
# uncomment the line below.
# http://anothersysadmin.wordpress.com/2008/06/10/mod_rewrite-forbidden-403-with-apache-228/
#
#Options +FollowSymLinks
</IfModule>

# Apache content negotation tries to interpret non-existent paths as files if
# MultiViews is enabled. This will however cause issues with paths containg
# dots, e.g. for the cron tasks
<IfModule mod_negotiation.c>
	Options -MultiViews
</IfModule>

# With Apache 2.4 the "Order, Deny" syntax has been deprecated and moved from
# module mod_authz_host to a new module called mod_access_compat (which may be
# disabled) and a new "Require" syntax has been introduced to mod_authz_host.
# We could just conditionally provide both versions, but unfortunately Apache
# does not explicitly tell us its version if the module mod_version is not
# available. In this case, we check for the availability of module
# mod_authz_core (which should be on 2.4 or higher only) as a best guess.
<IfModule mod_version.c>
	<IfVersion < 2.4>
		<Files "config.php">
			Order Allow,Deny
			Deny from All
		</Files>
		<Files "common.php">
			Order Allow,Deny
			Deny from All
		</Files>
	</IfVersion>
	<IfVersion >= 2.4>
		<Files "config.php">
			Require all denied
		</Files>
		<Files "common.php">
			Require all denied
		</Files>
	</IfVersion>
</IfModule>
<IfModule !mod_version.c>
	<IfModule !mod_authz_core.c>
		<Files "config.php">
			Order Allow,Deny
			Deny from All
		</Files>
		<Files "common.php">
			Order Allow,Deny
			Deny from All
		</Files>
	</IfModule>
	<IfModule mod_authz_core.c>
		<Files "config.php">
			Require all denied
		</Files>
		<Files "common.php">
			Require all denied
		</Files>
	</IfModule>
</IfModule>
De index.php blijft zo intact en dus werkt de extensie recent topics gewoon.

Gebruikersavatar
El torro
Berichten: 3562
Lid geworden op: 02 sep 2014, 21:28
Locatie: In het zonnige zuiden
Contacteer:

Re: phpbb Sitemaker

Bericht door El torro » 13 feb 2021, 13:17

Je hebt alleen de bovenste 3 regels toegevoegd neem ik aan?

deninho32
Berichten: 44
Lid geworden op: 01 aug 2019, 11:16

Re: phpbb Sitemaker

Bericht door deninho32 » 13 feb 2021, 13:27

Iemand heeft dit zo aangeleverd en ik heb alles toegevoegd. Sindsdien werkt alles weer. Is de rest overbodig of zelfs schadelijk?

Gebruikersavatar
El torro
Berichten: 3562
Lid geworden op: 02 sep 2014, 21:28
Locatie: In het zonnige zuiden
Contacteer:

Re: phpbb Sitemaker

Bericht door El torro » 13 feb 2021, 17:31

Buiten de 3 bovenste regels is het de standaard .htaccess van phpbb.
Dus als je dat toevoegt staat de rest er dubbel in.

deninho32
Berichten: 44
Lid geworden op: 01 aug 2019, 11:16

Re: phpbb Sitemaker

Bericht door deninho32 » 13 feb 2021, 19:03

Je hebt gelijk, het gaat alleen om die bovenste 3 regels :D

Plaats reactie